# Uncomment the next line to define a global platform for your project
platform :ios, '12.0'

target 'CordialDemo' do
  # Comment the next line if you're not using Swift and don't want to use dynamic frameworks
  use_frameworks!
  pod 'IQKeyboardManagerSwift'
  pod 'CordialSDK', :git => 'git@gitlab.com:cordialinc/mobile-sdk/ios-sdk.git'

  target 'NotificationServiceExtension' do
    use_frameworks!
    pod 'CordialAppExtensions', :git => 'git@gitlab.com:cordialinc/mobile-sdk/ios-sdk.git'
  end
  
  target 'NotificationContentExtension' do
    use_frameworks!
    pod 'CordialAppExtensions', :git => 'git@gitlab.com:cordialinc/mobile-sdk/ios-sdk.git'
  end

  target 'CordialDemoTests' do
    inherit! :search_paths
    # Pods for testing
  end

  target 'CordialDemoUITests' do
    inherit! :search_paths
    # Pods for testing
  end

end
